# $Revision: 1.14 $, $Date: 2008/10/03 18:02:24 $

%define		module	timeoutsocket

Summary:	Timeout Socket Python module
Summary(pl.UTF-8):	Moduł Pythona Timeout Socket
Name:		python-%{module}
Version:	1.23
Release:	4
License:	distributable
Group:		Development/Languages/Python
Source0:	http://www.timo-tasi.org/python/timeoutsocket.py
# Source0-md5:	137f1e1fe6e250896f01a589c25b44eb
URL:		http://www.timo-tasi.org/python/
%pyrequires_eq	python
BuildRequires:	python
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module enables a timeout mechanism on all TCP connections. It
does this by inserting a shim into the socket module. After this
module has been imported, all socket creation goes through this shim.
As a result, every TCP connection will support a timeout.

%description -l pl.UTF-8
Ten moduł dodaje mechanizm limitu czasowego dla wszystkich połączeń
TCP. Moduł robi to poprzez dołożenie wkładki do modułu socket. Po
zaimportowaniu tego modułu, każde tworzenie gniazd przechodzi przez tę
wkładkę. W efekcie każde połączenie TCP obsługuje limit czasowy.

%prep
python <<EOF
import sys
d={}
execfile("%{SOURCE0}",d,d)
if d["__version__"].split()[1]!="%{version}":
	print >>sys.stderr,"Source version mismatch!"
	sys.exit(1)
EOF

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}

install %{SOURCE0} $RPM_BUILD_ROOT%{py_sitescriptdir}

%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}

rm $RPM_BUILD_ROOT%{py_sitescriptdir}/*.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/*.py?

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-timeoutsocket.spec,v $
Revision 1.14  2008/10/03 18:02:24  arekm
- release 4

Revision 1.13  2007-02-13 08:06:43  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.11  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.10  2004/12/26 17:54:18  saq
- release 3 for rebuild with python 2.4

Revision 1.9  2004/07/28 08:03:18  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.8  2004/05/26 21:15:23  ankry
- capitalization, tabs, other cosmetics

Revision 1.7  2004/01/19 14:37:10  jajcus
- Release: 2
- new architecture-independent python modules paths

Revision 1.6  2003/06/06 12:33:22  qboosh
- updated feedback address

Revision 1.5  2003/05/28 13:01:31  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 06:26:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2002/05/30 13:00:08  qboosh
- pl description

Revision 1.2  2002/05/26 17:27:25  kloczek
- cosmetics.

Revision 1.1  2002/05/26 14:20:32  jajcus
- new spec; STBR
